Ruby
rbenv

rbenvでつまったら。

More than 3 years have passed since last update.

rubyのverが1.9になってる。。

PJつくるたびに困るので自分用手順書。



  1. $rbenv version

    -> 1.9であることを確認




  2. $rbenv versions

    -> 2.0が存在する事を確認




  3. なければ、$ruby-build --definitions または $rbenv install -l

    -> 欲しいバージョンがあるか確認




  4. 欲しいバージョンがなければ、$brew upgrade ruby-build

    -> それでもうまくいかなかったらrbenvで管理しているrubyのバージョンを2.0.0-p195にアップデートする手順




  5. rbenvに欲しいバージョンをインストール

    -> $rbenv install 2.0.0-p195




  6. 2.0を適用したいdir下で、$rbenv local 2.0.0-p195

    -> もう一度 $rbenv version して2.0になってるか確認




  7. $rbenv rehash

    -> $ ruby -v で2.0になっていることを確認。

    なってなかったら$source ~/.bash_profile かターミナル開き直す




参考

rbenvでrubyを最新バージョンにアップデートする